Communications
Search emails using Meilisearch
POST
/
admin
/
email_manager
/
search
Search emails using Meilisearch
curl --request POST \
--url https://api.gratona.com/v1/admin/email_manager/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "207",
"q": "hug",
"search_type": "all",
"page": 1,
"perpage": 10,
"category": "new",
"permissions": {
"id": 301,
"client_id": "207",
"email_manager": "1",
"program-1221": "1"
}
}
'import requests
url = "https://api.gratona.com/v1/admin/email_manager/search"
payload = {
"client_id": "207",
"q": "hug",
"search_type": "all",
"page": 1,
"perpage": 10,
"category": "new",
"permissions": {
"id": 301,
"client_id": "207",
"email_manager": "1",
"program-1221": "1"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '207',
q: 'hug',
search_type: 'all',
page: 1,
perpage: 10,
category: 'new',
permissions: {id: 301, client_id: '207', email_manager: '1', 'program-1221': '1'}
})
};
fetch('https://api.gratona.com/v1/admin/email_manager/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/email_manager/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_id' => '207',
'q' => 'hug',
'search_type' => 'all',
'page' => 1,
'perpage' => 10,
'category' => 'new',
'permissions' => [
'id' => 301,
'client_id' => '207',
'email_manager' => '1',
'program-1221' => '1'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/email_manager/search"
payload := strings.NewReader("{\n \"client_id\": \"207\",\n \"q\": \"hug\",\n \"search_type\": \"all\",\n \"page\": 1,\n \"perpage\": 10,\n \"category\": \"new\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"email_manager\": \"1\",\n \"program-1221\": \"1\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/email_manager/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"client_id\": \"207\",\n \"q\": \"hug\",\n \"search_type\": \"all\",\n \"page\": 1,\n \"perpage\": 10,\n \"category\": \"new\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"email_manager\": \"1\",\n \"program-1221\": \"1\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/email_manager/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_id\": \"207\",\n \"q\": \"hug\",\n \"search_type\": \"all\",\n \"page\": 1,\n \"perpage\": 10,\n \"category\": \"new\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"email_manager\": \"1\",\n \"program-1221\": \"1\"\n }\n}"
response = http.request(request)
puts response.read_body{
"emails": [
{
"id": 123,
"status": 123,
"to": {},
"from": {},
"subject": "<string>",
"message": "<string>",
"created_at": "<string>"
}
],
"number": 123,
"perpage": 123,
"page": 123,
"total_pages": 123
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
Example:
"207"
Search query
Example:
"hug"
Search type: all, message, sender, receiver
Example:
"all"
Example:
1
Example:
10
Email category filter
Example:
"new"
Example:
{
"id": 301,
"client_id": "207",
"email_manager": "1",
"program-1221": "1"
}
⌘I
Search emails using Meilisearch
curl --request POST \
--url https://api.gratona.com/v1/admin/email_manager/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "207",
"q": "hug",
"search_type": "all",
"page": 1,
"perpage": 10,
"category": "new",
"permissions": {
"id": 301,
"client_id": "207",
"email_manager": "1",
"program-1221": "1"
}
}
'import requests
url = "https://api.gratona.com/v1/admin/email_manager/search"
payload = {
"client_id": "207",
"q": "hug",
"search_type": "all",
"page": 1,
"perpage": 10,
"category": "new",
"permissions": {
"id": 301,
"client_id": "207",
"email_manager": "1",
"program-1221": "1"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '207',
q: 'hug',
search_type: 'all',
page: 1,
perpage: 10,
category: 'new',
permissions: {id: 301, client_id: '207', email_manager: '1', 'program-1221': '1'}
})
};
fetch('https://api.gratona.com/v1/admin/email_manager/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/email_manager/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_id' => '207',
'q' => 'hug',
'search_type' => 'all',
'page' => 1,
'perpage' => 10,
'category' => 'new',
'permissions' => [
'id' => 301,
'client_id' => '207',
'email_manager' => '1',
'program-1221' => '1'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/email_manager/search"
payload := strings.NewReader("{\n \"client_id\": \"207\",\n \"q\": \"hug\",\n \"search_type\": \"all\",\n \"page\": 1,\n \"perpage\": 10,\n \"category\": \"new\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"email_manager\": \"1\",\n \"program-1221\": \"1\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/email_manager/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"client_id\": \"207\",\n \"q\": \"hug\",\n \"search_type\": \"all\",\n \"page\": 1,\n \"perpage\": 10,\n \"category\": \"new\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"email_manager\": \"1\",\n \"program-1221\": \"1\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/email_manager/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_id\": \"207\",\n \"q\": \"hug\",\n \"search_type\": \"all\",\n \"page\": 1,\n \"perpage\": 10,\n \"category\": \"new\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"email_manager\": \"1\",\n \"program-1221\": \"1\"\n }\n}"
response = http.request(request)
puts response.read_body{
"emails": [
{
"id": 123,
"status": 123,
"to": {},
"from": {},
"subject": "<string>",
"message": "<string>",
"created_at": "<string>"
}
],
"number": 123,
"perpage": 123,
"page": 123,
"total_pages": 123
}